using SqlSugar;
using System;
using System.Collections.Generic;
using System.Security.Principal;
using System.Text;

namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 设备状态信息
    /// </summary>
    [SugarTable("dms_realtime_status"), TenantAttribute("mes")]
    public class DmsRealtimeStatus
    {
        /// <summary>
        /// 状态ID
        /// </summary>
        [SugarColumn(ColumnName = "status_id", IsPrimaryKey = true, IsIdentity = true)]
        public long StatusId { get; set; }

        /// <summary>
        /// 设备状态编号
        /// </summary>
        [SugarColumn(ColumnName = "status_code")]
        public string StatusCode { get; set; }

        /// <summary>
        /// 设备状态名称
        /// </summary>
        [SugarColumn(ColumnName = "status_name")]
        public string StatusName { get; set; }

        /// <summary>
        /// 设备状态值
        /// </summary>
        [SugarColumn(ColumnName = "status_value")]
        public string StatusValue { get; set; }

        /// <summary>
        /// 所属设备id
        /// </summary>
        [SugarColumn(ColumnName = "device_id")]
        public long? DeviceId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "creat_time")]
        public DateTime? CreatTime { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }
    }
}
